package com.yc.ship.module.ota.api.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class BillPayReqDTO {

    @Schema(description = "订单ID", example = "27454")
    @NotNull
    private Long orderId;

    @Schema(description = "支付单ID", example = "27454")
    @NotNull
    private Long payOrderId;

    @Schema(description = "支付状态0失败 1成功", example = "1")
    @NotNull
    private Integer payStatus;

    @Schema(description = "支付方式", example = "1")
    @NotNull
    private Integer payType;

    @Schema(description = "还款人", example = "1")
    @NotNull
    private Long payUserId;
}
