package com.yc.ship.module.ota.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 分销商修改密码 Request VO")
@Data
public class DistributorUpdatePasswordReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9072")
    @NotNull(message = "主键id不能为空")
    private Long id;

    @Schema(description = "登录名", example = "王五")
    @NotNull(message = "用户编号不能为空")
    private String loginName;

    @Schema(description = "登录密码")
    @NotEmpty(message = "密码不能为空")
    private String password;

    @Schema(description = "租户")
    private Long tenantId;

}