package com.yc.ship.module.ota.admin.distributorauditlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 分销商授信额度变更新增/修改 Request VO")
@Data
public class DistributorAuditLogSaveReqVO {

    @Schema(description = "额度变更ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24609")
    private Long id;

    @Schema(description = "分销商ID", example = "29860")
    private Long distributorId;

    @Schema(description = "变更额度名称", example = "芋艿")
    private String creditName;

    @Schema(description = "变更前额度")
    private BigDecimal beforeCredit;

    @Schema(description = "变更后额度")
    private BigDecimal afterCredit;

    @Schema(description = "变更金额")
    private BigDecimal creditAmount;

    @Schema(description = "变更类型 1.增加、2.减少")
    private Integer creditMode;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "用户ID", example = "你猜")
    private String userId;

    @Schema(description = "租户ID", example = "你猜")
    private Long tenantId;

}
