package com.yc.ship.module.ota.admin.distributorproduct.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台产品与分销商关系分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorProductPageReqVO extends PageParam {

    @Schema(description = "分销商ID", example = "5749")
    private Long distributorId;

    @Schema(description = "分销商名称", example = "5749")
    private String distributorName;

    @Schema(description = "类型 1:ota分销商 2:旅行社")
    private Integer channelType;

    @Schema(description = "产品ID", example = "22107")
    private Long productId;

    @Schema(description = "分组ID", example = "22107")
    private Long otaCategoryId;

    @Schema(description = "产品名称", example = "22107")
    private String productName;

    @Schema(description = "产品skuID", example = "21389")
    private Long productSkuId;

    @Schema(description = "出行方案id", example = "21389")
    private Long routePlanId;

    @Schema(description = "成本价", example = "14419")
    private BigDecimal costPrice;

    @Schema(description = "销售价", example = "18903")
    private BigDecimal salePrice;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
