package com.yc.ship.module.ota.admin.distributorproduct.vo.product;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 分销产品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductPageReqVO extends PageParam {

    @Schema(description = "分销渠道 1：OTA 2：旅行社")
    @NotNull(message = "分销渠道不能为空")
    private Integer channelType;

    @Schema(description = "产品名称")
    private String productName;

    @Schema(description = "产品分组id")
    private String categoryId;

    @Schema(description = "产品上架状态")
    private Integer isUse;

    @Schema(description = "分销商Id")
    private Long distributorId;

}
