package com.yc.ship.module.ota.admin.distributorrecharge.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商充值 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorRechargeRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2357")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "分销商", example = "6656")
    @ExcelProperty("分销商")
    private Long distributorId;

    @Schema(description = "充值类型 1.预付款，2.授信充正", example = "1")
    @ExcelProperty(value = "充值类型 1.预付款，2.授信充正", converter = DictConvert.class)
    @DictFormat("recharge_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer rechargeType;

    @Schema(description = "充值方式（1：转账充值，2：自动充值）")
    @ExcelProperty(value = "充值方式（1：转账充值，2：自动充值）", converter = DictConvert.class)
    @DictFormat("recharge_mode") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer rechargeMode;

    @Schema(description = "充值金额")
    @ExcelProperty("充值金额")
    private BigDecimal money;

    @Schema(description = "申请人")
    @ExcelProperty("申请人")
    private Long applyUser;

    @Schema(description = "申请人姓名")
    @ExcelProperty("申请人姓名")
    private String applyUserName;

    @Schema(description = "申请时间")
    @ExcelProperty("申请时间")
    private LocalDateTime applyTime;

    @Schema(description = "状态 0.申请中，1.审核通过，2.审核驳回", example = "2")
    @ExcelProperty("状态 0.申请中，1.审核通过，2.审核驳回")
    private Integer status;

    @Schema(description = "审核人")
    @ExcelProperty("审核人")
    private Long auditUser;

    @Schema(description = "审核人姓名")
    @ExcelProperty("审核人姓名")
    private String auditUserName;

    @Schema(description = "审核时间")
    @ExcelProperty("审核时间")
    private LocalDateTime auditTime;

    @Schema(description = "充值备注", example = "你猜")
    @ExcelProperty("充值备注")
    private String applyRemark;

    @Schema(description = "审核备注", example = "你说的对")
    @ExcelProperty("审核备注")
    private String auditRemark;

    @Schema(description = "充值单号ID", example = "8944")
    @ExcelProperty("充值单号ID")
    private Long rechargeLogId;

    @Schema(description = "附件地址", example = "https://www.iocoder.cn")
    @ExcelProperty("附件地址")
    private String fileUrl;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "操作后金额（元）")
    @ExcelProperty("操作后金额（元）")
    private BigDecimal afterBalance;

    @Schema(description = "操作前金额（元）")
    @ExcelProperty("操作前金额（元）")
    private BigDecimal beforeBalance;

    @Schema(description = "分销商名称")
    @ExcelProperty("分销商名称")
    private String distributorName;

}