package com.yc.ship.module.ota.admin.distributorselfrecharge.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 自助充值明细 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorSelfRechargeRespVO {

    @Schema(description = "自助充值记录ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7532")
    @ExcelProperty("自助充值记录ID")
    private Long id;

    @Schema(description = "分销商ID", example = "22656")
    @ExcelProperty("分销商ID")
    private Long distributorId;

    @Schema(description = "操作人ID", example = "29743")
    @ExcelProperty("操作人ID")
    private Long accountId;

    @Schema(description = "操作人名称", example = "张三")
    @ExcelProperty("操作人名称")
    private String accountName;

    @Schema(description = "充值单号", example = "")
    @ExcelProperty("充值单号")
    private String rechargeNo;

    @Schema(description = "充值金额")
    @ExcelProperty("充值金额")
    private BigDecimal money;

    @Schema(description = "支付方式：1.微信 2.支付宝 3.云闪付 4.银行卡")
    @ExcelProperty("支付方式")
    private Integer payType;

    @Schema(description = "卡号")
    @ExcelProperty("卡号")
    private String icCard;

    @Schema(description = "充值状态，-1.充值失败，0.新充值订单，1.充值成功")
    @ExcelProperty(value = "充值状态，-1.充值失败，0.新充值订单，1.充值成功", converter = DictConvert.class)
    @DictFormat("ota_recharge_state") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer rechargeState;

    @Schema(description = "充值记录ID", example = "21488")
    @ExcelProperty("充值记录ID")
    private String rechargeLogId;

    @Schema(description = "支付平台订单号", example = "1698")
    @ExcelProperty("支付平台订单号")
    private String payOrderId;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateTime;

}
