package com.yc.ship.module.ota.admin.distributorselfrecharge.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Map;

@Schema(description = "管理后台 - 自助充值明细 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorSelfRechargeSimpleRespVO {

    @Schema(description = "自助充值记录ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7532")
    private Long id;

    @Schema(description = "分销商ID", example = "22656")
    private Long distributorId;

    @Schema(description = "银行账号，仅对公转账时返回", example = "717902731210002123456")
    private String bankAccount;

    @Schema(description = "支付平台返回结果")
    private Map payPlatResult;
}
