package com.yc.ship.module.ota.admin.tradelog.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商交易日志 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TradeLogRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30788")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "操作人ID", example = "30405")
    @ExcelProperty("操作人ID")
    private Long operatorId;

    @Schema(description = "操作人名字", example = "芋艿")
    @ExcelProperty("操作人名字")
    private String operatorName;

    @Schema(description = "1 余额充值、2 预付购票、3 预付退款、4 余额购票、5余额退票", example = "2")
    @ExcelProperty("1 余额充值、2 预付购票、3 预付退款、4 余额购票、5余额退票")
    private Integer tradeType;

    @Schema(description = "交易时间")
    @ExcelProperty("交易时间")
    private LocalDateTime tradeTime;

    @Schema(description = "交易前余额")
    @ExcelProperty("交易前余额")
    private BigDecimal beforeBalance;

    @Schema(description = "交易后余额")
    @ExcelProperty("交易后余额")
    private BigDecimal afterBalance;

    @Schema(description = "交易金额")
    @ExcelProperty("交易金额")
    private BigDecimal tradeAmount;

    @Schema(description = "1  增加，2 减少")
    @ExcelProperty("1  增加，2 减少")
    private Integer tradeMode;

    @Schema(description = "备注", example = "你说的对")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "订单ID", example = "18147")
    @ExcelProperty("订单ID")
    private String orderId;

    @Schema(description = "订单号", example = "18147")
    @ExcelProperty("订单号")
    private String orderNo;

    @Schema(description = "分销商id", example = "22794")
    @ExcelProperty("分销商id")
    private Long distributorId;

    @Schema(description = "分销商", example = "22794")
    @ExcelProperty("分销商")
    private String distributorName;

    @Schema(description = "门店id", example = "22794")
    @ExcelProperty("门店id")
    private Long storeId;

    @Schema(description = "门店", example = "22794")
    @ExcelProperty("门店")
    private String storeName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
