package com.yc.ship.module.ota.admin.tradelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商交易日志新增/修改 Request VO")
@Data
public class TradeLogSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30788")
    private Long id;

    @Schema(description = "操作人ID", example = "30405")
    private Long operatorId;

    @Schema(description = "操作人名字", example = "芋艿")
    private String operatorName;

    @Schema(description = "1 余额充值、2 预付购票、3 预付退款、4 余额购票、5余额退票", example = "2")
    private Integer tradeType;

    @Schema(description = "交易时间")
    private LocalDateTime tradeTime;

    @Schema(description = "交易前余额")
    private BigDecimal beforeBalance;

    @Schema(description = "交易后余额")
    private BigDecimal afterBalance;

    @Schema(description = "交易金额")
    private BigDecimal tradeAmount;

    @Schema(description = "1  增加，2 减少")
    private Integer tradeMode;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "订单号", example = "18147")
    private String orderId;

    @Schema(description = "分销商id", example = "22794")
    private Long distributorId;

}