package com.yc.ship.module.ota.service.distributorauditlog;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.ota.admin.distributorauditlog.vo.DistributorAuditLogPageReqVO;
import com.yc.ship.module.ota.admin.distributorauditlog.vo.DistributorAuditLogSaveReqVO;
import com.yc.ship.module.ota.dal.dataobject.distributorauditlog.DistributorAuditLogDO;

import javax.validation.Valid;

/**
 * 分销商授信额度变更 Service 接口
 *
 * @author 管理员
 */
public interface DistributorAuditLogService {

    /**
     * 创建分销商授信额度变更
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributorAuditLog(@Valid DistributorAuditLogSaveReqVO createReqVO);

    /**
     * 更新分销商授信额度变更
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorAuditLog(@Valid DistributorAuditLogSaveReqVO updateReqVO);

    /**
     * 删除分销商授信额度变更
     *
     * @param id 编号
     */
    void deleteDistributorAuditLog(Long id);

    /**
     * 获得分销商授信额度变更
     *
     * @param id 编号
     * @return 分销商授信额度变更
     */
    DistributorAuditLogDO getDistributorAuditLog(Long id);

    /**
     * 获得分销商授信额度变更分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商授信额度变更分页
     */
    PageResult<DistributorAuditLogDO> getDistributorAuditLogPage(DistributorAuditLogPageReqVO pageReqVO);

}
