package com.yc.ship.module.ota.service.distributorcategory;

import java.util.*;
import javax.validation.*;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;
import com.yc.ship.module.ota.admin.distributorcategory.vo.DistributorCategoryPageReqVO;
import com.yc.ship.module.ota.admin.distributorcategory.vo.DistributorCategorySaveReqVO;
import com.yc.ship.module.ota.dal.dataobject.distributorcategory.DistributorCategoryDO;

/**
 * 供应商分类 Service 接口
 *
 * @author 管理员
 */
public interface DistributorCategoryService {

    /**
     * 创建供应商分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributorCategory(@Valid DistributorCategorySaveReqVO createReqVO);

    /**
     * 更新供应商分类
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorCategory(@Valid DistributorCategorySaveReqVO updateReqVO);

    /**
     * 删除供应商分类
     *
     * @param id 编号
     */
    void deleteDistributorCategory(Long id);

    /**
     * 获得供应商分类
     *
     * @param id 编号
     * @return 供应商分类
     */
    DistributorCategoryDO getDistributorCategory(Long id);

    /**
     * 获得供应商分类分页
     *
     * @param pageReqVO 分页查询
     * @return 供应商分类分页
     */
    PageResult<DistributorCategoryDO> getDistributorCategoryPage(DistributorCategoryPageReqVO pageReqVO);

    void updateStatus(Long id, Integer status);

    List<DistributorCategoryDO> getCategoryList();
}