package com.yc.ship.module.resource.controller.admin.dock.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 资源管理-口岸码头管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceDockRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31588")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "码头名称", example = "赵六")
    @ExcelProperty("码头名称")
    private String name;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private BigDecimal longitude;

    @Schema(description = "纬度")
    @ExcelProperty("纬度")
    private BigDecimal latitude;

    @Schema(description = "省份ID", example = "32550")
    @ExcelProperty("省份ID")
    private Integer provinceId;

    @Schema(description = "省份名称", example = "芋艿")
    @ExcelProperty("省份名称")
    private String provinceName;

    @Schema(description = "城市ID", example = "32155")
    @ExcelProperty("城市ID")
    private Integer cityId;

    @Schema(description = "城市名称", example = "王五")
    @ExcelProperty("城市名称")
    private String cityName;

    @Schema(description = "区县ID", example = "26907")
    @ExcelProperty("区县ID")
    private Integer countyId;

    @Schema(description = "区县名称", example = "芋艿")
    @ExcelProperty("区县名称")
    private String countyName;

    @Schema(description = "所属城市")
    @ExcelProperty("所属城市")
    private String area;

    @Schema(description = "所在位置")
    @ExcelProperty("所在位置")
    private String address;

    @Schema(description = "所属口岸", example = "17721")
    @ExcelProperty("所属口岸")
    private Long portId;

    @Schema(description = "所属口岸名称", example = "赵六")
    @ExcelProperty("所属口岸名称")
    private String portName;

    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}