package com.yc.ship.module.resource.controller.admin.route.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 航线管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceRouteRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13031")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "航线名称", example = "王五")
    @ExcelProperty("航线名称")
    private String name;

    @Schema(description = "航线编码")
    @ExcelProperty("航线编码")
    private String code;

    @Schema(description = "航向（字典）")
    @ExcelProperty(value = "航向（字典）", converter = DictConvert.class)
    @DictFormat("resource_route_direction") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer direction;

    @Schema(description = "登船码头", example = "28643")
    @ExcelProperty("登船码头")
    private Long onDockId;

    @Schema(description = "登船码头")
    @ExcelProperty("登船码头")
    private String onDockName;

    @Schema(description = "离船码头", example = "1161")
    @ExcelProperty("离船码头")
    private Long leaveDockId;

    @Schema(description = "离船码头")
    @ExcelProperty("离船码头")
    private String leaveDockName;

    @Schema(description = "途经停靠码头")
    @ExcelProperty("途经停靠码头")
    private String midwayDockIds;
    @Schema(description = "途经停靠码头")
    @ExcelProperty("途经停靠码头")
    private String midwayDockNames;

    @Schema(description = "航线关联景区")
    @ExcelProperty("航线关联景区")
    private String relationScenicIds;

    @Schema(description = "航线关联景区")
    @ExcelProperty("航线关联景区")
    private String relationScenicNames;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

    @Schema(description = "创建者")
    @ExcelProperty("创建者")
    private String creator;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}