package com.yc.ship.module.resource.controller.admin.scenic.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 景区管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceScenicPageReqVO extends PageParam {

    @Schema(description = "景区名称", example = "张三")
    private String name;

    @Schema(description = "所属供应商", example = "15781")
    private Long supplierId;

    @Schema(description = "所属码头ID", example = "19621")
    private Long dockId;

    @Schema(description = "状态", example = "1")
    private Integer status;

}