package com.yc.ship.module.resource.dal.dataobject.port;

import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资源管理-口岸管理 DO
 *
 * @author flycloud
 */
@TableName("resource_port")
@KeySequence("resource_port_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourcePortDO extends TenantBaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 口岸名称
     */
    private String name;
    /**
     * 地理位置
     */
    private String address;
    /**
     * 省份ID
     */
    private Integer provinceId;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     */
    private Integer status;

}